package net.wanji.opt.controllerv2.judgeanalysis;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.opt.controllerv2.judgeanalysis.api.response.AreaProblemOverview;
import net.wanji.opt.servicev2.TrendServiceV2;
import net.wanji.opt.vo2.CrossGreenStatusTimeRateVO;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.ws.rs.core.MediaType;
import java.util.Collections;
import java.util.List;

/**
 * <p>
 * 绿波问题分析 前端控制器
 * </p>
 *
 * @author fengyi
 * @since 2025-03-13
 */
@Api(tags = "区域问题分析")
@RestController
@RequestMapping("/analysis-area-problem")
public class AnalysisProblemAreaDayController {


    @ApiOperation(value = "研判分析-区域问题总览",   response = JsonViewObject.class,
            produces = MediaType.APPLICATION_JSON, consumes = MediaType.APPLICATION_JSON)
    @GetMapping(value = "/overview")
    @ApiResponses({
            @ApiResponse(code = 200, message = "OK", response = AreaProblemOverview.class),
    })
    public JsonViewObject areaProblemOverview() {
        return JsonViewObject.newInstance().success(null);
    }


}
